import { AvailableSNPKeySuffixTypes, ConfigType } from '@/feature/config/types';
export interface snpFile {
    SNPSuffixFileName: string;
    SNPKeySuffix: string;
    isCreated: boolean;
    path: string;
    realFileName: string;
    realPath: string;
    templateVersion: string;
}
export type snpArrayPathFileSet<T extends string = AvailableSNPKeySuffixTypes & '_'> = {
    [K in T]?: snpFile;
} & {
    defaultFile: snpFile;
};
export interface FileMapConfig {
    updatedContent: any;
    templateVersion: string;
    createdFileMap: string[];
    fileMap: string[];
    snpFileMap?: Record<string, snpArrayPathFileSet> | Record<string, NonNullable<unknown>>;
}
export declare const updateDetailsFileMapConfig2: ({ realFileName, operation, config, snpFileMapConfig, SNPKeySuffix, SNPSuffixFileName, isCreated, path, realPath, templateVersion, }: {
    SNPKeySuffix?: AvailableSNPKeySuffixTypes | "_" | undefined;
    realFileName?: string | undefined;
    operation: 'addConfigSuffixFile' | 'createSuffixFile' | 'createSNPRealFile' | 'deleteFile' | 'removeFileMap' | 'createRealFileName';
    config: ConfigType;
    snpFileMapConfig?: FileMapConfig | undefined;
    SNPSuffixFileName?: string | undefined;
    isCreated?: boolean | undefined;
    path?: string | undefined;
    realPath?: string | undefined;
    templateVersion?: string | undefined;
}) => Promise<FileMapConfig>;
