import { __module as ber } from '../../../../_virtual/index18.mjs';
import { __require as requireErrors } from './errors.mjs';
import { __require as requireTypes } from './types.mjs';
import { __require as requireReader } from './reader.mjs';
import { __require as requireWriter } from './writer.mjs';

var hasRequiredBer;

function requireBer () {
	if (hasRequiredBer) return ber.exports;
	hasRequiredBer = 1;
	(function (module) {
		// Copyright 2011 Mark Cavage <mcavage@gmail.com> All rights reserved.

		var errors = requireErrors();
		var types = requireTypes();

		var Reader = requireReader();
		var Writer = requireWriter();


		// --- Exports

		module.exports = {

		  Reader: Reader,

		  Writer: Writer

		};

		for (var t in types) {
		  if (types.hasOwnProperty(t))
		    module.exports[t] = types[t];
		}
		for (var e in errors) {
		  if (errors.hasOwnProperty(e))
		    module.exports[e] = errors[e];
		} 
	} (ber));
	return ber.exports;
}

export { requireBer as __require };
