import './fs/index.mjs';
import { c as copy } from './copy/index.mjs';
import { e as empty } from './empty/index.mjs';
import { e as ensure } from './ensure/index.mjs';
import { j as json } from './json/index.mjs';
import { m as mkdirs } from './mkdirs/index.mjs';
import { m as move } from './move/index.mjs';
import { o as outputFile_1 } from './output-file/index.mjs';
import { p as pathExists_1 } from './path-exists/index.mjs';
import { r as remove_1 } from './remove/index.mjs';
import { __exports as fs } from '../../../_virtual/index.mjs';

var lib = {
  // Export promiseified graceful-fs:
  ...fs,
  // Export extra methods:
  ...copy,
  ...empty,
  ...ensure,
  ...json,
  ...mkdirs,
  ...move,
  ...outputFile_1,
  ...pathExists_1,
  ...remove_1
};

export { lib as l };
