import { s as semver } from '../classes/semver.mjs';
import { __require as requireRange } from '../classes/range.mjs';

const SemVer = semver;
const Range = requireRange();
const minSatisfying = (versions, range, options) => {
  let min = null;
  let minSV = null;
  let rangeObj = null;
  try {
    rangeObj = new Range(range, options);
  } catch (er) {
    return null
  }
  versions.forEach((v) => {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!min || minSV.compare(v) === 1) {
        // compare(min, v, true)
        min = v;
        minSV = new SemVer(min, options);
      }
    }
  });
  return min
};
var minSatisfying_1 = minSatisfying;

export { minSatisfying_1 as m };
