import { createFile } from '../util/createFile.mjs';
import { debugFunction } from '../util/debugFunction.mjs';
import { isFolderExist } from '../util/isFolderExist.mjs';

const createConfigFile = async (config) => {
    debugFunction(config.isDebug, { config }, '[INIT] debugFunction');
    const { snpCatalog, sUpdaterVersion, remoteRepository } = config;
    await isFolderExist({
        folderPath: snpCatalog,
        createFolder: true,
    });
    await createFile({
        filePath: config.snpConfigFile,
        content: JSON.stringify(config),
        isDebug: config.isDebug,
    });
    debugFunction(config.isDebug, { sUpdaterVersion, remoteRepository }, '[INIT] created snp config file');
    return config;
};

export { createConfigFile };
