import { createPath } from '../../util/createPath.mjs';
import { debugFunction } from '../../util/debugFunction.mjs';
import { scanDirectory } from '../../util/scanDirectory.mjs';

const scanProjectFolder = async (config) => {
    debugFunction(config.isDebug, { config }, '[PrepareTemplate - scanProjectFolder START]');
    const excludePaths = [
        createPath([config.projectCatalog, '.DS_Store']),
        createPath([config.projectCatalog, config.repositoryMapFileName]),
        createPath([config.projectCatalog, config.templateCatalogName]),
    ];
    return scanDirectory(config.projectCatalog, excludePaths)
        .then((fileList) => {
        debugFunction(config.isDebug, { config, fileList }, '[PrepareTemplate - scanDirectory - START]');
        const cleanupArray = fileList.map((file) => {
            return file.replace(config.projectCatalog + '/', '');
        });
        debugFunction(config.isDebug, { config, fileList, cleanupArray }, '[PrepareTemplate - scanDirectory - END]');
        debugFunction(config.isDebug, { config }, '[PrepareTemplate - scanProjectFolder END]');
        return { config, templateFileList: cleanupArray }; // Wyświetli przefiltrowane pliki
    })
        .catch((error) => {
        console.error('An error occurred:', error);
        return { config, templateFileList: [] }; // Wyświetli przefiltrowane plikireturn [];
    });
};

export { scanProjectFolder };
