import { debugFunction } from '../../util/debugFunction.mjs';
import { parseJSON } from '../../util/parseJSON.mjs';
import { readFile } from '../../util/readFile.mjs';
import { updateJsonFile } from '../../util/updateJsonFile.mjs';

const updateTemplateConfig = async ({ config, fileList, templateFileList, rootPathFileList, }) => {
    debugFunction(config.isDebug, { config }, '[PrepareTemplate] updateTemplateConfig');
    const repositoryMapFileConfig = await readFile(config.repositoryMapFilePath).then(async (bufferData) => parseJSON(bufferData.toString()));
    const newContent = repositoryMapFileConfig;
    const replaceFile = true;
    newContent.fileMap = fileList;
    newContent.templateFileList = templateFileList;
    newContent.rootPathFileList = rootPathFileList;
    await updateJsonFile({
        filePath: config.repositoryMapFilePath,
        config,
        newContent,
        replaceFile,
    });
    debugFunction(config.isDebug, { config, fileList, templateFileList }, '[PrepareTemplate] END updateTemplateConfig');
    return { config };
};

export { updateTemplateConfig };
