/**
 * Recursively scans a directory and returns an array of file paths.
 *
 * @param {string} dirPath - The path of the directory to scan.
 * @param {string[]} [excludedPaths=[]] - An optional array of file or directory paths to exclude from the scan.
 * @returns {Promise<string[]>} - A promise that resolves to an array of file paths.
 */
export declare function scanDirectory(dirPath: string, excludedPaths?: string[]): Promise<string[]>;
